org.apache.cxf.transport.common.gzip

## Class GZIPFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.DelegatingFeature<GZIPFeature.Portable>
      - - org.apache.cxf.transport.common.gzip.GZIPFeature

- All Implemented Interfaces:
    AbstractPortableFeature, Feature

      public class GZIPFeature
      extends DelegatingFeature<GZIPFeature.Portable>

  This class is used to control GZIP compression of messages. Attaching this feature to an endpoint will allow the endpoint to handle compressed requests, and will cause outgoing responses to be compressed if the client indicates (via the Accept-Encoding header) that it can handle them.

  Attaching this feature to a client will cause outgoing request messages to be compressed and incoming compressed responses to be uncompressed. Accept-Encoding header is sent to let the service know that your client can accept compressed responses.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GZIPFeature.Portable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

      `delegate`

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getForce()`
    `int` | `getThreshold()`
    `void` | `remove(List<Interceptor<? extends Message>> outInterceptors)`
    `void` | `setForce(boolean b)`
    `void` | `setThreshold(int threshold)`

    - ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

      `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, getID, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPFeature

          public GZIPFeature()

  - ### Method Detail

    - #### remove

          public void remove(List<Interceptor<? extends Message>> outInterceptors)

    - #### setThreshold

          public void setThreshold(int threshold)

    - #### getThreshold

          public int getThreshold()

    - #### setForce

          public void setForce(boolean b)

    - #### getForce

          public boolean getForce()

Apache CXF